package com.shkj.wms.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * @author lch
 */
@Getter
@AllArgsConstructor
public enum LanguagesEnum {

    /**
     * 0、待处理
     */
    zh_EN ("zh_EN", "中文"),
    en_US ("en_US", "英文"),
    en_VT("en_VT","越南语")
    ;

    private String value;
    private String desc;


    public static LanguagesEnum getLanguagesEnum(String value){
        return Arrays.stream(LanguagesEnum.values()).filter(x -> x.getValue().equals(value)).findFirst().orElse(null);
    }
}
